//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2017.12.08 at 11:55:12 AM CET 
//


package pl.adriankozlowski.jpk;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for FileSignatureType complex type.
 * <p>
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;complexType name="FileSignatureType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="OrdinalNumber">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}int">
 *               &lt;minInclusive value="1"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="FileName">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;pattern value="[a-zA-Z0-9_\.\-]{5,55}"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="ContentLength" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="HashValue">
 *           &lt;complexType>
 *             &lt;simpleContent>
 *               &lt;restriction base="&lt;http://e-dokumenty.mf.gov.pl>HashValueMD5Type">
 *               &lt;/restriction>
 *             &lt;/simpleContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FileSignatureType", propOrder = {
        "ordinalNumber",
        "fileName",
        "contentLength",
        "hashValue"
})
public class FileSignatureType {

    @XmlElement(name = "OrdinalNumber")
    protected int ordinalNumber;
    @XmlElement(name = "FileName", required = true)
    protected String fileName;
    @XmlElement(name = "ContentLength")
    protected int contentLength;
    @XmlElement(name = "HashValue", required = true)
    protected FileSignatureType.HashValue hashValue;

    /**
     * Gets the value of the ordinalNumber property.
     */
    public int getOrdinalNumber() {
        return ordinalNumber;
    }

    /**
     * Sets the value of the ordinalNumber property.
     */
    public void setOrdinalNumber(int value) {
        this.ordinalNumber = value;
    }

    /**
     * Gets the value of the fileName property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * Sets the value of the fileName property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setFileName(String value) {
        this.fileName = value;
    }

    /**
     * Gets the value of the contentLength property.
     */
    public int getContentLength() {
        return contentLength;
    }

    /**
     * Sets the value of the contentLength property.
     */
    public void setContentLength(int value) {
        this.contentLength = value;
    }

    /**
     * Gets the value of the hashValue property.
     *
     * @return possible object is
     * {@link FileSignatureType.HashValue }
     */
    public FileSignatureType.HashValue getHashValue() {
        return hashValue;
    }

    /**
     * Sets the value of the hashValue property.
     *
     * @param value allowed object is
     *              {@link FileSignatureType.HashValue }
     */
    public void setHashValue(FileSignatureType.HashValue value) {
        this.hashValue = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * <p>
     * <p>The following schema fragment specifies the expected content contained within this class.
     * <p>
     * <pre>
     * &lt;complexType>
     *   &lt;simpleContent>
     *     &lt;restriction base="&lt;http://e-dokumenty.mf.gov.pl>HashValueMD5Type">
     *     &lt;/restriction>
     *   &lt;/simpleContent>
     * &lt;/complexType>
     * </pre>
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class HashValue
            extends HashValueMD5Type {


    }

}
